/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package web;

import java.sql.Time;
import java.util.Vector;

/**
 *
 * @author zwergnase
 */
public class Way
{
    int sequence;
    public Vector<subpath> pathSoFar;
    int changesSoFar;
    float totalDistance; // to be set at the end
    float costSoFar;

    public float getCostSoFar() {
        return costSoFar;
    }


    public float getTotalDistance() {
        return totalDistance;
    }

    Way(){
        pathSoFar=new Vector<subpath>();
    }

    void printWay()
    {
        int numOfSubs=pathSoFar.size();
        for(int i=0;i<numOfSubs;i++)
        {
            System.out.println("Yol:");
            pathSoFar.get(i).printSubpath();
        }
    }
}

